> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arrays.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Realized Price

> [OpenAPI JSON Spec](/docs/output/v1_crypto_metrics_realized-price_get.json)
Retrieve Realized Price metric data for a cryptocurrency



## OpenAPI

````yaml /api-reference/openapi.json get /v1/crypto/metrics/realized-price
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Welcome to Arrays!


    Arrays is a unified financial data layer for both financial institutions and
    retail users, delivering comprehensive market data across crypto and equity
    markets. Our datasets cover fundamentals, ETFs, options, crypto, and more.


    Visit [arrays.org](https://arrays.org) to request an API key and start your
    free trial. You can explore our full API offerings in the documentation
    below.


    For any questions regarding APIs or pricing, please contact
    support@arrays.org.
  title: Arrays API
  version: '1.0'
servers:
  - url: https://data-tools.prd.arrays.org/api
security: []
paths:
  /v1/crypto/metrics/realized-price:
    get:
      tags:
        - Crypto
      summary: Get Realized Price
      description: >-
        [OpenAPI JSON
        Spec](/docs/output/v1_crypto_metrics_realized-price_get.json)

        Retrieve Realized Price metric data for a cryptocurrency
      parameters:
        - description: Token symbol (only BTC supported)
          in: query
          name: symbol
          required: true
          schema:
            type: string
            default: BTC
        - description: Start time (Unix timestamp in seconds)
          in: query
          name: start_time
          required: true
          schema:
            type: integer
            format: int64
        - description: End time (Unix timestamp in seconds)
          in: query
          name: end_time
          required: true
          schema:
            type: integer
            format: int64
        - description: Time field to filter on
          in: query
          name: time_type
          schema:
            type: string
            enum:
              - DATE
              - OBSERVED_AT
        - description: >-
            Limit number of results (min=1, max=1000, if not set, return all
            matched data)
          in: query
          name: limit
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      data:
                        items:
                          $ref: '#/components/schemas/model.RealizedPriceData'
                        type: array
                    type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      error:
                        $ref: '#/components/schemas/model.APIError'
                    type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      error:
                        $ref: '#/components/schemas/model.APIError'
                    type: object
      security:
        - ApiKeyAuth: []
components:
  schemas:
    model.APIResponse:
      properties:
        data: {}
        error:
          $ref: '#/components/schemas/model.APIError'
        metadata: {}
        pagination: {}
        request_id:
          type: string
        success:
          type: boolean
      type: object
    model.RealizedPriceData:
      properties:
        realized_price:
          type: number
        symbol:
          type: string
        time:
          type: string
        timestamp:
          type: integer
      type: object
    model.APIError:
      properties:
        code:
          example: RESOURCE_NOT_FOUND
          type: string
        details:
          items:
            $ref: '#/components/schemas/model.APIErrorDetail'
          type: array
        docs_url:
          type: string
        examples:
          items:
            type: string
          type: array
        hint:
          type: string
        message:
          example: The requested resource was not found.
          type: string
        suggestions:
          items:
            type: string
          type: array
      type: object
    model.APIErrorDetail:
      properties:
        field:
          type: string
        got:
          type: string
        reason:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'API Key authentication. Example: "your-api-key-here"'
      in: header
      name: X-API-Key
      type: apiKey

````